Bug 504476 - Review Request: rubygem-newgem - Bundle Ruby libraries into a RubyGem
Review Request: rubygem-newgem - Bundle Ruby libraries into a RubyGem
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 504470 504473 504479
Blocks: 551817
  Show dependency treegraph
 
Reported: 2009-06-07 07:45 EDT by Lubomir Rintel
Modified: 2010-09-01 21:42 EDT (History)
7 users (show)

See Also:
Fixed In Version: 1.5.2-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-09 12:08:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-07 07:45:00 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-newgem.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-newgem-1.4.1-1.fc11.src.rpm

Description:

Within this gem, you get one thing - newgem - an executable to
create your own gems. Your new gems will include designated folders for Ruby
code, test files, executables, and even a default website page for you to
explain your project, and which instantly uploads to RubyForge website (which
looks just like this one by default)
Comment 1 Lubomir Rintel 2009-06-07 08:00:43 EDT
rubygem-newgem.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/newgem-1.4.1/app_generators/newgem/templates/script/console.erb 0644
rubygem-newgem.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/newgem-1.4.1/rubygems_generators/executable/templates/bin/app.rb.erb 0644
rubygem-newgem.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/newgem-1.4.1/newgem_generators/install_website/templates/script/txt2html 0644

Template of a script -- has a shebang but should not be executable.

rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.4.1/website/version.js
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.4.1/app_generators/newgem_simple/templates/lib/templates.rb
rubygem-newgem.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/gems/newgem-1.4.1/website/version.txt

I can't see how these could cause problem and prefer not to deviate from upstream, but will get rid of them if reviewer wishes so.
Comment 4 Jan Klepek 2009-08-05 09:12:48 EDT
Lubomir, could you please package latest version (1.5.1) if it is possible?
Comment 5 Matthew Kent 2009-09-29 03:06:11 EDT
Hi, I'm working on ruby packages that could benefit from this, willing to help.
Comment 6 Jan Klepek 2009-10-12 05:02:13 EDT
Any progress?
Comment 7 Lubomir Rintel 2009-10-12 05:18:28 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-newgem.spec
SRPM:
http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-newgem-1.5.2-1.fc11.src.rpm

Matthew: Feel free to help. I'd be glad and thankful if you could (co-)maintain this once it's in.
Comment 8 Jan Klepek 2009-11-12 01:29:01 EST
1] rpmlint complaining
rubygem-newgem.noarch: W: incoherent-version-in-changelog 1.4.1-3 ['1.5.2-1.fc12', '1.5.2-1']
rubygem-newgem.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/rubygems_generators/executable/templates/bin/app.rb.erb 0644 /usr/bin/env
rubygem-newgem.noarch: W: hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/test/fixtures/home/.rubyforge
rubygem-newgem.noarch: W: hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/test/fixtures/home/.rubyforge
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/website/version.js
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/newgem_theme_generators/plain_theme/USAGE
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/app_generators/newgem_simple/templates/lib/templates.rb
rubygem-newgem.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/test/test_helper.rb
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/newgem_theme_generators/long_box_theme/USAGE
rubygem-newgem.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/app_generators/newgem/templates/script/console.erb 0644 /usr/bin/env
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/rubygems_generators/executable/USAGE
rubygem-newgem.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/newgem_generators/install_website/templates/script/txt2html 0644 /usr/bin/env
2 packages and 0 specfiles checked; 8 errors, 4 warnings.

*license ok
*naming ok
*spec file legible
*build ok

please fix rpmlint messages
SPEC file here and in src.rpm seems different
Comment 9 Jan Klepek 2009-12-27 05:57:13 EST
Lubomir or Matthew, ping?
Comment 10 Mamoru TASAKA 2009-12-27 07:06:10 EST
(I have not tried to check this gem by myself, however please
 be careful when attempting to delete hidden files or zero-size
 files. I have already seen some cases (including gem based rpms)
 in which deleting such files made the package non-workable.

 Also it is recommended to execute $ rake test in %check as this
 gem file contains test/ directory)
Comment 11 Matthew Kent 2010-01-02 03:25:36 EST
(In reply to comment #7)
> SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-newgem.spec
> SRPM:
> http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-newgem-1.5.2-1.fc11.src.rpm
> 
> Matthew: Feel free to help. I'd be glad and thankful if you could (co-)maintain
> this once it's in.  

Sure thing. I'm now requiring this for another package I'm working on so I'll post my update. I tried to record my modifications in the changelog. Hopefully they all make sense.

Only other improvement I'd like to make is to break the ri/rdoc content, tests and Rakefile into a separate -doc package giving the main one a smaller footprint. Any issue with that?

(In reply to comment #8)
> 1] rpmlint complaining
> rubygem-newgem.noarch: W: incoherent-version-in-changelog 1.4.1-3
> ['1.5.2-1.fc12', '1.5.2-1']
> rubygem-newgem.noarch: E: non-executable-script
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/rubygems_generators/executable/templates/bin/app.rb.erb
> 0644 /usr/bin/env
> rubygem-newgem.noarch: W: hidden-file-or-dir
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/test/fixtures/home/.rubyforge
> rubygem-newgem.noarch: W: hidden-file-or-dir
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/test/fixtures/home/.rubyforge
> rubygem-newgem.noarch: E: zero-length
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/website/version.js
> rubygem-newgem.noarch: E: zero-length
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/newgem_theme_generators/plain_theme/USAGE
> rubygem-newgem.noarch: E: zero-length
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/app_generators/newgem_simple/templates/lib/templates.rb
> rubygem-newgem.noarch: W: wrong-file-end-of-line-encoding
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/test/test_helper.rb
> rubygem-newgem.noarch: E: zero-length
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/newgem_theme_generators/long_box_theme/USAGE
> rubygem-newgem.noarch: E: non-executable-script
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/app_generators/newgem/templates/script/console.erb
> 0644 /usr/bin/env
> rubygem-newgem.noarch: E: zero-length
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/rubygems_generators/executable/USAGE
> rubygem-newgem.noarch: E: non-executable-script
> /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/newgem_generators/install_website/templates/script/txt2html
> 0644 /usr/bin/env
> 2 packages and 0 specfiles checked; 8 errors, 4 warnings.
> 
> *license ok
> *naming ok
> *spec file legible
> *build ok
> 
> please fix rpmlint messages

I've fixed the one regarding the crlf issue but the others are harder to quash as they are all templates/placeholder files used by newgem to create new projects. Is there a nicer way to have rpmlint ignore these? For now I've added a note in the spec file.

> SPEC file here and in src.rpm seems different
Comment 12 Matthew Kent 2010-01-02 03:29:00 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-newgem.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-newgem-1.5.2-2.fc13.src.rpm

* Fri Jan 01 2010 Matthew Kent <mkent@magoazul.com> - 1.5.2-2
- Drop versioning on requirements as this is a new package.
- Drop unused ruby_sitelib macro.
- Add a rubyabi macro.
- RPM_BUILD_ROOT -> buildroot - use one style of macros.
- Fix bin/env ruby searching in bin/newgem.
- Remove duplicate hoe dependency.
- Add check phase.
- Fix another crlf (#504476).
- Add note about rpmlint complaints (#504476).

mkent@fedora-devel-chef:~/rpmbuild/SPECS$ rpmlint rubygem-newgem.spec /var/tmp/old_results/rubygem-newgem-1.5.2-2.fc13.*
rubygem-newgem.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/rubygems_generators/executable/templates/bin/app.rb.erb 0644 /usr/bin/env
rubygem-newgem.noarch: W: hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/test/fixtures/home/.rubyforge
rubygem-newgem.noarch: W: hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/test/fixtures/home/.rubyforge
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/website/version.js
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/newgem_theme_generators/plain_theme/USAGE
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/app_generators/newgem_simple/templates/lib/templates.rb
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/newgem_theme_generators/long_box_theme/USAGE
rubygem-newgem.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/app_generators/newgem/templates/script/console.erb 0644 /usr/bin/env
rubygem-newgem.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/rubygems_generators/executable/USAGE
rubygem-newgem.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/newgem-1.5.2/newgem_generators/install_website/templates/script/txt2html 0644 /usr/bin/env
Comment 13 Mamoru TASAKA 2010-01-24 12:55:56 EST
Jan, ping?
Comment 14 Mamoru TASAKA 2010-01-31 08:49:44 EST
My comments (to mkent's 1.5.2-2)

* License
-------------------------------------------------------------
Overall:	MIT

LGPLv2+:
./newgem_theme_generators/long_box_theme/templates/website/javascripts/rounded_corners_lite.inc.js
./newgem_theme_generators/plain_theme/templates/website/javascripts/rounded_corners_lite.inc.js
./website/javascripts/rounded_corners_lite.inc.js 
-------------------------------------------------------------
  - The license tag should be "MIT and LGPLv2+".

* Requires
  - Currently I cannot figure out why "R: rubygem(activesupport)" is needed.
    Also, I cannot figure out why "['activesupport','>= 2.0.2']," is in Rakefile.

  - Would you check if the following dependencies are optional or
    rather mandatory?
-------------------------------------------------------------
./lib/newgem/rubyforge-ext.rb:  require 'rubyforge'
-------------------------------------------------------------
Comment 15 Matthew Kent 2010-02-02 01:51:38 EST
Would like to get this through to unblock bug 551817.

(In reply to comment #14)
> My comments (to mkent's 1.5.2-2)
> 
> * License
> -------------------------------------------------------------
> Overall: MIT
> 
> LGPLv2+:
> ./newgem_theme_generators/long_box_theme/templates/website/javascripts/rounded_corners_lite.inc.js
> ./newgem_theme_generators/plain_theme/templates/website/javascripts/rounded_corners_lite.inc.js
> ./website/javascripts/rounded_corners_lite.inc.js 
> -------------------------------------------------------------
>   - The license tag should be "MIT and LGPLv2+".
> 

Nice catch, fixed.

> * Requires
>   - Currently I cannot figure out why "R: rubygem(activesupport)" is needed.
>     Also, I cannot figure out why "['activesupport','>= 2.0.2']," is in
> Rakefile.
> 

I'm not sure either, especially as rubigen already requires activesupport. Maybe the developer covering up for a broken dependency in rubigen?

I'll comment it out and open an issue with the developer.  

>   - Would you check if the following dependencies are optional or
>     rather mandatory?
> -------------------------------------------------------------
> ./lib/newgem/rubyforge-ext.rb:  require 'rubyforge'
> -------------------------------------------------------------    

Looks pretty mandatory to me and is currently pulled in by the hoe dependency. Having trouble recalling the best practice for this and can't spot it in the guidelines - should I be explicitly listing rubyforge as a dependency?
Comment 16 Matthew Kent 2010-02-02 02:07:32 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-newgem.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-newgem-1.5.2-3.fc13.src.rpm

* Mon Feb 01 2010 Matthew Kent <mkent@magoazul.com> - 1.5.3-3
- Fix License (#504476).
- Disable activesupport Requires for now (#504476).
Comment 17 Jan Klepek 2010-02-02 03:43:55 EST
Mamoru,

Are you interested in finishing of this review? This week I would not have enough time :/
Comment 18 Mamoru TASAKA 2010-02-02 13:18:50 EST
@Jan:

Thank you for replying. Since currently this review request
blocks some other requests, I will take over this review.

(In reply to comment #15)
> >   - Would you check if the following dependencies are optional or
> >     rather mandatory?
> > -------------------------------------------------------------
> > ./lib/newgem/rubyforge-ext.rb:  require 'rubyforge'
> > -------------------------------------------------------------    
> 
> Looks pretty mandatory to me and is currently pulled in by the hoe dependency.
> Having trouble recalling the best practice for this and can't spot it in the
> guidelines - should I be explicitly listing rubyforge as a dependency?    

- Thank you for the catch. For this I will leave to how you
  think.

-----------------------------------------------------------------
    This package (rubygem-newgem) is APPROVED by mtasaka
-----------------------------------------------------------------
Comment 19 Lubomir Rintel 2010-02-02 13:36:03 EST
Thanks you Mamoru and Matthew for finishing this up!

I'm not sure if I'm expected to file a CVS request now or if Matthew should, and if he's willing to maintain the package. (I'd be glad and thankful if he maintained this, though).
Comment 20 Matthew Kent 2010-02-04 02:45:31 EST
(In reply to comment #19)
> Thanks you Mamoru and Matthew for finishing this up!
> 

No problem! :)

> I'm not sure if I'm expected to file a CVS request now or if Matthew should,
> and if he's willing to maintain the package. (I'd be glad and thankful if he
> maintained this, though).    

I'll file it, let me know if you want to co-maintain in the future.
Comment 21 Matthew Kent 2010-02-04 02:46:28 EST
New Package CVS Request
=======================
Package Name: rubygem-newgem
Short Description: Bundle Ruby libraries into a RubyGem
Owners: mkent
Branches: F-11 F-12
InitialCC:
Comment 22 Jens Petersen 2010-02-05 05:13:49 EST
CVS done
Comment 23 Mamoru TASAKA 2010-02-09 12:08:04 EST
Closing this...
Comment 24 Matthew Kent 2010-02-10 01:47:07 EST
Ugh, closed the wrong bug id in submitting the update.
Comment 25 Michael Stahnke 2010-08-29 21:34:10 EDT
 
New Package SCM Request
=======================
Package Name: rubygem-newgem
Short Description: Bundle Ruby libraries into a RubyGem
Owners: stahnma
Branches: EL5 EL6
InitialCC: mkent
Comment 26 Michael Stahnke 2010-08-30 17:37:37 EDT
Package Change Request
======================
Package Name: rubygem-newgem
New Branches: el5 el6
Owners: stahnma
Comment 27 Jens Petersen 2010-09-01 21:42:49 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.